Bug 307582 - Having an option to enable now playing is pointless.
Summary: Having an option to enable now playing is pointless.
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: kded-module (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-29 17:44 UTC by Alex Fiestas
Modified: 2013-10-08 10:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.7
kde: Decision-Required+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Fiestas 2012-09-29 17:44:07 UTC
In the kded KCM there is an option called: Now playing... presence: Enabled which is enabled by default.

Discussed with d_ed about this, he told me that Now Playing won't be enabled even if this option is enabled, that this option enables the option in the contact list.

So, either way:
-In case it enables the actual now playing, it should be off by default.
-In case it enables an option... why do we need that? and option that enables an option?

Reproducible: Always

Actual Results:  
 

Expected Results:
Comment 1 David Edmundson 2012-10-12 01:42:51 UTC
The option to in the config to enable now playing is pointless. It doesn't activate until you enable it from the combo box. If this isn't enable you get a dialog telling you to enable this.

Changed title. Set to unconfirmed, and flagged for discussion.
Comment 2 Alex Fiestas 2013-02-24 22:24:03 UTC
So, what should we do about this?
Comment 3 Weng Xuetian 2013-10-08 10:37:09 UTC
Git commit e0e61ace680533b613d19e442aaa9d2e90ecf08e by Weng Xuetian.
Committed on 08/10/2013 at 10:29.
Pushed by xuetianweng into branch 'kde-telepathy-0.7'.

Refactor now playing plugin

Enable option now behaves as "enable on login", and changes at contact
list will be temporary for this login. And use requested presence to
evaluate the new presence by this plugin.
Related: bug 313126
REVIEW: 113066
FIXED-IN: 0.7

M  +1    -4    config/telepathy-kded-config.cpp
M  +118  -83   telepathy-mpris.cpp
M  +8    -4    telepathy-mpris.h

http://commits.kde.org/telepathy-kded-module/e0e61ace680533b613d19e442aaa9d2e90ecf08e